Skip to main content
GET
/
v1
/
external_accounts
List external accounts
curl --request GET \
  --url https://api.leanrails.com/v1/external_accounts \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "ba_xxx",
      "object": "bank_account",
      "available_payout_methods": [
        "<string>"
      ],
      "country": "<string>",
      "currency": "<string>",
      "default_for_currency": true,
      "last4": "<string>",
      "status": "<string>",
      "metadata": {},
      "created": 123,
      "livemode": true,
      "account_holder_name": "<string>",
      "account_holder_type": "individual",
      "account_type": "checking",
      "bank_name": "<string>",
      "fingerprint": "<string>",
      "routing_number": "<string>"
    }
  ],
  "has_more": true,
  "url": "/v1/external_accounts",
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10

Number of objects to return (1-100).

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination. The ID of the last object in the previous page.

ending_before
string

Cursor for backward pagination. The ID of the first object in the previous page.

Response

A list of ExternalAccounts.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/external_accounts"

next_cursor
string | null